#include "chdecl.h"
void CH_makestdiopipe(current, sched, cop)
#define ARGUMENTS 16
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c28;
    case 4: goto cb55;
    case 6: goto cb57;
    case 7: goto c58;
    case 8: goto cb75;
    case 9: goto c76;
    case 10: goto cb91;
    case 11: goto c92;
    case 12: goto cb96;
    case 13: goto c97;
    case 14: goto c99;
    case 15: goto c104;
    case 16: goto cb113;
    case 17: goto c114;
    case 18: goto cb121;
    case 19: goto c122;
    case 20: goto cb124;
    case 21: goto c125;
    case 5: goto c131;
    case 22: goto c131;
    case 23: goto c132;
    case 24: goto c134;
    case 25: goto c140;
    case 26: goto c142;
    case 27: goto c147;
    case 28: goto c151;
    case 29: goto c157;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* new_inport 5 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_inport;
/* new_record 6 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val; REF(6).tsdr = & dr_record;
/* connect 6.0 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(6)DOT(0).tsdr)->finalize)(REF(6)DOT(0).value,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(6)DOT(0).value.outport = REF(4).value.inport;
  REF(6)DOT(0).tsdr = & dr_outport;
/* connect 6.1 5 */
  if (REF(5).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(6)DOT(1).tsdr)->finalize)(REF(6)DOT(1).value,F_DISCARD,sched);
  REF(5).value.inport->refcount++;
  REF(6)DOT(1).value.outport = REF(5).value.inport;
  REF(6)DOT(1).tsdr = & dr_outport;
/* new_inport 7 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_inport;
/* new_inport 8 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val; REF(8).tsdr = & dr_inport;
/* new_inport 9 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_inport;
/* new_record 10 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val; REF(10).tsdr = & dr_record;
/* connect 10.0 7 */
  if (REF(7).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(10)DOT(0).tsdr)->finalize)(REF(10)DOT(0).value,F_DISCARD,sched);
  REF(7).value.inport->refcount++;
  REF(10)DOT(0).value.outport = REF(7).value.inport;
  REF(10)DOT(0).tsdr = & dr_outport;
/* connect 10.1 8 */
  if (REF(8).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(10)DOT(1).tsdr)->finalize)(REF(10)DOT(1).value,F_DISCARD,sched);
  REF(8).value.inport->refcount++;
  REF(10)DOT(1).value.outport = REF(8).value.inport;
  REF(10)DOT(1).tsdr = & dr_outport;
/* connect 10.2 9 */
  if (REF(9).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(10)DOT(2).tsdr)->finalize)(REF(10)DOT(2).value,F_DISCARD,sched);
  REF(9).value.inport->refcount++;
  REF(10)DOT(2).value.outport = REF(9).value.inport;
  REF(10)DOT(2).tsdr = & dr_outport;
/* wrap 3.1 6 , 2 */
  if ((ch_returncode = che_wrap(DEF(3)DOT(1),DEF(6),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* wrap 3.0 10 , 3 */
  if ((ch_returncode = che_wrap(DEF(3)DOT(0),DEF(10),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* new_table 11 , 4 */
  if ((ch_returncode = che_new_table(DEF(11),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* chs_lit 12 , "" */
  if( !chs_lit(DEF(12),"") ) goto ch_depletion;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
/* boolean 14 , FALSE */
  REF(14).value.boolean = FALSE;
  REF(14).tsdr = & dr_boolean;
/* chs_lit 15 , "" */
  if( !chs_lit(DEF(15),"") ) goto ch_depletion;
c28:
/* noop */
  
/* chs_lit 16 , "" */
  if( !chs_lit(DEF(16),"") ) goto ch_depletion;
/* equal 17 12 16 */
  REF(17).value.boolean = (eq_table(REF(12).value,REF(16).value));
  REF(17).tsdr = & dr_boolean;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* branch_false 17 , 46 */
  if ( !REF(17).value.boolean ) goto c46;
/* size 18 11 */
  REF(18).value.integer = REF(11).value.table->size;
  REF(18).tsdr = & dr_integer;
/* equal . 18 =(0) , 43 */
  if ( REF(18).value.integer == 0 ) goto c43;
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* lookup_at 19 11 =(0) */
  if ( !((ch_t = REF(11).value.table)->size) ) goto ch_notfound;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(19).value,0);
  REF(19).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 12 11 =(0) */
  if ((ch_returncode = remove_at_func(DEF(12),DEF(11),0)) != Normal)
     goto ch_raise_exception;
/* branch , 46 */
   goto c46;
c43:
/* move 12 13 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
c46:
/* chs_lit 20 , "" */
  if( !chs_lit(DEF(20),"") ) goto ch_depletion;
/* notequal 21 12 20 */
  REF(21).value.boolean = (!eq_table(REF(12).value,REF(20).value));
  REF(21).tsdr = & dr_boolean;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* move 22 21 */
  REF(22) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* not 23 22 */
  REF(23).value.boolean = !REF(22).value.boolean;
  REF(23).tsdr = & dr_boolean;
/* and 24 14 23 */
  REF(24).value.boolean = REF(14).value.boolean&REF(23).value.boolean;
  REF(24).tsdr = & dr_boolean;
/* not 25 22 */
  REF(25).value.boolean = !REF(22).value.boolean;
  REF(25).tsdr = & dr_boolean;
/* and 26 14 25 */
  REF(26).value.boolean = REF(14).value.boolean&REF(25).value.boolean;
  REF(26).tsdr = & dr_boolean;
  current->ip = 4;
cb55:
/* select 9 * 8 * 7 * 5 24 5 22 4 26 4 22 , 6 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(9),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(8),
          arguments[3] = NO_OBJECT,
          arguments[4] = DEF(7),
          arguments[5] = NO_OBJECT,
          arguments[6] = DEF(5),
          arguments[7] = DEF(24),
          arguments[8] = DEF(5),
          arguments[9] = DEF(22),
          arguments[10] = DEF(4),
          arguments[11] = DEF(26),
          arguments[12] = DEF(4),
          arguments[13] = DEF(22),
          arguments[13+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 4) return; else COMPUTE_TARGET;
c57:
  current->ip = 6;
cb57:
/* receive 27 9 */
  if ((ch_returncode = che_receive(DEF(27),DEF(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c58:
/* chs_lit 28 , "" */
  if( !chs_lit(DEF(28),"") ) goto ch_depletion;
/* notequal 29 27.0 28 */
  REF(29).value.boolean = (!eq_table(REF(27)DOT(0).value,REF(28).value));
  REF(29).tsdr = & dr_boolean;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* branch_false 29 , 71 */
  if ( !REF(29).value.boolean ) goto c71;
/* chs_lit 30 , "" */
  if( !chs_lit(DEF(30),"") ) goto ch_depletion;
/* notequal 31 13 30 */
  REF(31).value.boolean = (!eq_table(REF(13).value,REF(30).value));
  REF(31).tsdr = & dr_boolean;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* branch_false 31 , 69 */
  if ( !REF(31).value.boolean ) goto c69;
/* insert 11 13 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
c69:
/* copy 32 27.0 */
  if((ch_returncode = cp_table(& ch_val, REF(27)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_table;
/* insert 11 32 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
c71:
/* return 27 */
  if (ch_caller = do_return(REF(27).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(27).value);
  REF(27).tsdr = & dr_bottom;
/* ordenum_lit 33 , 10 */
  REF(33).value.ord_enum = 10;
  REF(33).tsdr = & dr_ord_enumeration;
/* insert 13 33 */
  if ((ch_returncode = insertfunc(DEF(13),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 132 */
   goto c132;
c75:
  current->ip = 8;
cb75:
/* receive 27 8 */
  if ((ch_returncode = che_receive(DEF(27),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* chs_lit 34 , "" */
  if( !chs_lit(DEF(34),"") ) goto ch_depletion;
/* notequal 35 27.0 34 */
  REF(35).value.boolean = (!eq_table(REF(27)DOT(0).value,REF(34).value));
  REF(35).tsdr = & dr_boolean;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* branch_false 35 , 89 */
  if ( !REF(35).value.boolean ) goto c89;
/* chs_lit 36 , "" */
  if( !chs_lit(DEF(36),"") ) goto ch_depletion;
/* notequal 37 13 36 */
  REF(37).value.boolean = (!eq_table(REF(13).value,REF(36).value));
  REF(37).tsdr = & dr_boolean;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* branch_false 37 , 87 */
  if ( !REF(37).value.boolean ) goto c87;
/* insert 11 13 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
c87:
/* copy 38 27.0 */
  if((ch_returncode = cp_table(& ch_val, REF(27)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = & dr_table;
/* insert 11 38 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
c89:
/* return 27 */
  if (ch_caller = do_return(REF(27).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(27).value);
  REF(27).tsdr = & dr_bottom;
/* branch , 132 */
   goto c132;
c91:
  current->ip = 10;
cb91:
/* receive 39 7 */
  if ((ch_returncode = che_receive(DEF(39),DEF(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c92:
/* copy 40 39.0 */
  if((ch_returncode = (REF(39)DOT(0).tsdr->copy)(& ch_val, REF(39)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = datarepmap[REF(39)DOT(0).tsdr->number];
/* insert 13 40 */
  if ((ch_returncode = insertfunc(DEF(13),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 39 */
  if (ch_caller = do_return(REF(39).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(39).value);
  REF(39).tsdr = & dr_bottom;
/* branch , 132 */
   goto c132;
c96:
  current->ip = 12;
cb96:
/* receive 41 5 */
  if ((ch_returncode = che_receive(DEF(41),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c97:
/* return_exception 41 , 7 */
  if (ch_caller = do_return(REF(41).value)) {
    raise_user(QUAL(7),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(41),QUAL(7));
  REF(41).tsdr = & dr_bottom;
/* branch , 132 */
   goto c132;
c99:
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 12 */
  if (REF(12).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(12))) != Normal)
       goto ch_raise_exception;
/* lookup_at 42 12 =(0) */
  if ( !((ch_t = REF(12).value.table)->size) ) goto ch_notfound;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(42).value,0);
  REF(42).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 43 12 =(0) */
  if ((ch_returncode = remove_at_func(DEF(43),DEF(12),0)) != Normal)
     goto ch_raise_exception;
c104:
/* noop */
  
/* equal . 43 =(10) , 113 */
  if ( REF(43).value.ord_enum == 10 ) goto c113;
/* insert 15 43 */
  if ((ch_returncode = insertfunc(DEF(15),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* privatize 12 */
  if (REF(12).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(12))) != Normal)
       goto ch_raise_exception;
/* lookup_at 44 12 =(0) */
  if ( !((ch_t = REF(12).value.table)->size) ) goto ch_notfound;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(44).value,0);
  REF(44).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 43 12 =(0) */
  if ((ch_returncode = remove_at_func(DEF(43),DEF(12),0)) != Normal)
     goto ch_raise_exception;
/* branch , 104 */
   goto c104;
c113:
  current->ip = 16;
cb113:
/* receive 41 5 */
  if ((ch_returncode = che_receive(DEF(41),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c114:
/* move 41.0 15 */
  (*(REF(41)DOT(0).tsdr)->finalize)(REF(41)DOT(0).value,F_DISCARD,sched);
  REF(41)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* return 41 */
  if (ch_caller = do_return(REF(41).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(41).value);
  REF(41).tsdr = & dr_bottom;
/* chs_lit 15 , "" */
  if( !chs_lit(DEF(15),"") ) goto ch_depletion;
/* endblock */
  che_endblock(sched);
/* branch , 132 */
   goto c132;
c121:
  current->ip = 18;
cb121:
/* receive 45 4 */
  if ((ch_returncode = che_receive(DEF(45),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c122:
/* return_exception 45 , 9 */
  if (ch_caller = do_return(REF(45).value)) {
    raise_user(QUAL(9),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(45),QUAL(9));
  REF(45).tsdr = & dr_bottom;
/* branch , 132 */
   goto c132;
c124:
  current->ip = 20;
cb124:
/* receive 45 4 */
  if ((ch_returncode = che_receive(DEF(45),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c125:
/* privatize 12 */
  if (REF(12).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(12))) != Normal)
       goto ch_raise_exception;
/* lookup_at 46 12 =(0) */
  if ( !((ch_t = REF(12).value.table)->size) ) goto ch_notfound;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(46).value,0);
  REF(46).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 45.0 12 =(0) */
  if ((ch_returncode = remove_at_func(DEF(45)DOT(0),DEF(12),0)) != Normal)
     goto ch_raise_exception;
/* return 45 */
  if (ch_caller = do_return(REF(45).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(45).value);
  REF(45).tsdr = & dr_bottom;
/* branch , 132 */
   goto c132;
c56:
c131:
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c132:
/* endblock */
  che_endblock(sched);
/* branch , 28 */
   goto c28;
c134:
/* branch_false 14 , 137 */
  if ( !REF(14).value.boolean ) goto c137;
/* exit , 11 */
  ch_e = handler_type__exit; ch_val = QUAL(11); goto ch_exception;
c137:
/* boolean 14 , TRUE */
  REF(14).value.boolean = TRUE;
  REF(14).tsdr = & dr_boolean;
/* branch , 28 */
   goto c28;
c140:
/* endblock */
  che_endblock(sched);
/* branch , 151 */
   goto c151;
c142:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* branch , 151 */
   goto c151;
c147:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
c151:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c157:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
